<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FolderSearchRow StructType
 * @subpackage Structs
 */
class FolderSearchRow extends SearchRow
{
    /**
     * The basic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\FolderSearchRowBasic
     */
    public $basic;
    /**
     * The fileJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\FileSearchRowBasic
     */
    public $fileJoin;
    /**
     * The userJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\EmployeeSearchRowBasic
     */
    public $userJoin;
    /**
     * Constructor method for FolderSearchRow
     * @uses FolderSearchRow::setBasic()
     * @uses FolderSearchRow::setFileJoin()
     * @uses FolderSearchRow::setUserJoin()
     * @param \StructType\FolderSearchRowBasic $basic
     * @param \StructType\FileSearchRowBasic $fileJoin
     * @param \StructType\EmployeeSearchRowBasic $userJoin
     */
    public function __construct(\StructType\FolderSearchRowBasic $basic = null, \StructType\FileSearchRowBasic $fileJoin = null, \StructType\EmployeeSearchRowBasic $userJoin = null)
    {
        $this
            ->setBasic($basic)
            ->setFileJoin($fileJoin)
            ->setUserJoin($userJoin);
    }
    /**
     * Get basic value
     * @return \StructType\FolderSearchRowBasic|null
     */
    public function getBasic()
    {
        return $this->basic;
    }
    /**
     * Set basic value
     * @param \StructType\FolderSearchRowBasic $basic
     * @return \StructType\FolderSearchRow
     */
    public function setBasic(\StructType\FolderSearchRowBasic $basic = null)
    {
        $this->basic = $basic;
        return $this;
    }
    /**
     * Get fileJoin value
     * @return \StructType\FileSearchRowBasic|null
     */
    public function getFileJoin()
    {
        return $this->fileJoin;
    }
    /**
     * Set fileJoin value
     * @param \StructType\FileSearchRowBasic $fileJoin
     * @return \StructType\FolderSearchRow
     */
    public function setFileJoin(\StructType\FileSearchRowBasic $fileJoin = null)
    {
        $this->fileJoin = $fileJoin;
        return $this;
    }
    /**
     * Get userJoin value
     * @return \StructType\EmployeeSearchRowBasic|null
     */
    public function getUserJoin()
    {
        return $this->userJoin;
    }
    /**
     * Set userJoin value
     * @param \StructType\EmployeeSearchRowBasic $userJoin
     * @return \StructType\FolderSearchRow
     */
    public function setUserJoin(\StructType\EmployeeSearchRowBasic $userJoin = null)
    {
        $this->userJoin = $userJoin;
        return $this;
    }
}
